

#include "BUILTIN.h"
extern OBJ _AAc_21(OBJ);extern OBJ __AAc_21;
extern OBJ _AAc_22(OBJ);extern OBJ __AAc_22;
extern OBJ _AAc_50(OBJ);extern OBJ __AAc_50;
extern OBJ __ASeq_6;

#include "Nat.h"

#include "Char.h"

#include "Int.h"

#include "Array.h"
extern TUP2 _AAcAnaScheme_17(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AAcAnaScheme_17; /* anaScheme */
extern TUP3 _AAcAnaScheme_18(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AAcAnaScheme_18; /* df */
extern TUP3 _AAcAnaScheme_19(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AAcAnaScheme_19; /* df,1 */
extern TUP4 _AAcAnaScheme_20(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AAcAnaScheme_20; /* df,2 */

extern TUP2 _AAcAnaScheme_17(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7,OBJ x8,OBJ x9,OBJ x10,OBJ x11,OBJ x12,OBJ x13,OBJ x14,OBJ x15,OBJ x16,OBJ x17) /* anaScheme */
{TUP2 r;
 {TUP3 x19;
  x19=_AAcAnaScheme_18(x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,__ANat_5,x15,x16,x17);r.c1=x19.c2;r.c2=x19.c3;}
 return r;}
extern OBJ _AAcAnaScheme_17_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7,OBJ x8,OBJ x9,OBJ x10,OBJ x11,OBJ x12,OBJ x13,OBJ x14,OBJ x15,OBJ x16,OBJ x17) /* anaScheme */
{OBJ r;
 {TUP2 t=_AAcAnaScheme_17(x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17);
  PRD1(2,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;}
 return r;}

extern TUP3 _AAcAnaScheme_18(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7,OBJ x8,OBJ x9,OBJ x10,OBJ x11,OBJ x12,OBJ x13,OBJ x14,OBJ x15,OBJ x16,OBJ x17,OBJ x18) /* df */
{TUP3 r;
 {OBJ x23;
  ANat_2(x15,x23);
  if(ISTGPRD(x17,5)){
   {OBJ x129=FLD(x17,2);OBJ x130=FLD(x17,3);
    COPY(x129,1);CPPRD(x130,1);
    CPCLS(x2,1);
    CPCLS(x4,1);
    {OBJ x131;OBJ x133;OBJ x134;TUP3 x137;
     x131=_AAc_50(x17);
     COPY(x131,2);
     {OBJ t=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(x2,4))(x2,x14,x16,x15,x131);
      x133=FLD1(t,1);
      x134=FLD1(t,2);
      DSPRDF(t);}
     COPY(x133,1);
     x137=_AAcAnaScheme_19(x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x133,x23,x134,x131,x129,x130,x18);r.c1=x137.c1;
     {OBJ t=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(x4,5))(x4,x133,x137.c2,x15,x131,x137.c3);
      r.c2=FLD1(t,1);
      r.c3=FLD1(t,2);
      DSPRDF(t);}}}
  }else{
   if(ISTGPRD(x17,6)){
    {OBJ x143=FLD(x17,2);OBJ x144=FLD(x17,3);OBJ x145=FLD(x17,4);
     CPPRD(x143,3);COPY(x144,1);CPPRD(x145,1);
     CPCLS(x7,1);
     CPCLS(x9,1);
     {OBJ x146;OBJ x148;OBJ x149;TUP4 x152;
      x146=_AAc_50(x17);
      COPY(x146,2);
      {OBJ t=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(x7,5))(x7,x14,x16,x15,x146,x143);
       x148=FLD1(t,1);
       x149=FLD1(t,2);
       DSPRDF(t);}
      COPY(x148,1);
      x152=_AAcAnaScheme_20(x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x148,x23,x149,x146,x143,x144,x145,x18);r.c1=x152.c1;
      {OBJ t=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(x9,7))(x9,x148,x152.c2,x15,x146,x143,x152.c3,x152.c4);
       r.c2=FLD1(t,1);
       r.c3=FLD1(t,2);
       DSPRDF(t);}}}
   }else{
    r.c1=x23;
    FRCLS(x2,1);
    FRCLS(x3,1);
    FRCLS(x4,1);
    FRCLS(x5,1);
    FRCLS(x6,1);
    FRCLS(x7,1);
    FRCLS(x8,1);
    FRCLS(x9,1);
    FRCLS(x10,1);
    FRCLS(x11,1);
    FRCLS(x12,1);
    FRCLS(x13,1);
    {OBJ t=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(x1,5))(x1,x14,x16,x15,x17,x18);
     r.c2=FLD1(t,1);
     r.c3=FLD1(t,2);
     DSPRDF(t);}}}}
 return r;}
extern OBJ _AAcAnaScheme_18_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7,OBJ x8,OBJ x9,OBJ x10,OBJ x11,OBJ x12,OBJ x13,OBJ x14,OBJ x15,OBJ x16,OBJ x17,OBJ x18) /* df */
{OBJ r;
 {TUP3 t=_AAcAnaScheme_18(x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18);
  PRD1(3,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;
  FLD1(r,3)=t.c3;}
 return r;}

extern TUP3 _AAcAnaScheme_19(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7,OBJ x8,OBJ x9,OBJ x10,OBJ x11,OBJ x12,OBJ x13,OBJ x14,OBJ x15,OBJ x16,OBJ x17,OBJ x18,OBJ x19,OBJ x20) /* df,1 */
{TUP3 r;
 if(ISPRM(x18)){
  CPCLS(x3,1);
  COPY(x14,1);
  {TUP3 x91;
   x91=_AAcAnaScheme_18(x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x19,x20);r.c1=x91.c1;r.c3=x91.c3;
   r.c2=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(x3,3))(x3,x14,x91.c2,x17);}
 }else{
  {OBJ x94=FLD1(x18,1);OBJ x95=FLD1(x18,2);
   if(EXPRD(x18,1)){
    DSPRDF(x18);
   }else{
    CPPRD(x94,1);COPY(x95,1);
    FRPRD(x18,1);}
   if(ISTGPRD(x94,2)){
    {OBJ x99=FLD(x94,4);
     CPPRD(x99,1);
     CPCLS(x1,1);
     CPCLS(x2,1);
     CPCLS(x3,1);
     CPCLS(x4,1);
     CPCLS(x5,2);
     CPCLS(x6,2);
     CPCLS(x7,1);
     CPCLS(x8,1);
     CPCLS(x9,1);
     CPCLS(x10,1);
     CPCLS(x11,1);
     CPCLS(x12,1);
     CPCLS(x13,1);
     COPY(x14,1);
     CPPRD(x94,1);
     {OBJ x100;OBJ x101;OBJ x102;OBJ x104;OBJ x105;TUP3 x107;TUP3 x112;
      ANat_2(x15,x100);
      x101=_AAc_22(x94);
      COPY(x101,1);
      x102=_AAc_21(x94);
      CPPRD(x102,1);
      {OBJ t=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(x5,5))(x5,x14,x16,x15,x101,x102);
       x104=FLD1(t,1);
       x105=FLD1(t,2);
       DSPRDF(t);}
      COPY(x104,1);
      x107=_AAcAnaScheme_19(x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x100,x105,x17,x95,x19,x20);
      x112=_AAcAnaScheme_18(x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x104,x107.c1,x107.c2,x99,x107.c3);r.c1=x112.c1;
      {OBJ t=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(x6,6))(x6,x104,x112.c2,x15,x101,x102,x112.c3);
       r.c2=FLD1(t,1);
       r.c3=FLD1(t,2);
       DSPRDF(t);}}}
   }else{
    HLT("AcAnaScheme at <29,7-8> : missing else in df\'AcAnaScheme:inh**nat**thr**an**seq**exp**syn->nat**thr**syn");}}}
 return r;}
extern OBJ _AAcAnaScheme_19_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7,OBJ x8,OBJ x9,OBJ x10,OBJ x11,OBJ x12,OBJ x13,OBJ x14,OBJ x15,OBJ x16,OBJ x17,OBJ x18,OBJ x19,OBJ x20) /* df,1 */
{OBJ r;
 {TUP3 t=_AAcAnaScheme_19(x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19,x20);
  PRD1(3,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;
  FLD1(r,3)=t.c3;}
 return r;}

extern TUP4 _AAcAnaScheme_20(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7,OBJ x8,OBJ x9,OBJ x10,OBJ x11,OBJ x12,OBJ x13,OBJ x14,OBJ x15,OBJ x16,OBJ x17,OBJ x18,OBJ x19,OBJ x20,OBJ x21) /* df,2 */
{TUP4 r;
 if(ISPRM(x19)){
  CPCLS(x8,1);
  CPCLS(x12,1);
  CPCLS(x13,1);
  COPY(x14,1);
  CPPRD(x18,2);
  {OBJ x99;OBJ x101;OBJ x102;TUP3 x105;OBJ x108;
   ANat_2(x15,x99);
   {OBJ t=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(x12,4))(x12,x14,x16,x15,x18);
    x101=FLD1(t,1);
    x102=FLD1(t,2);
    DSPRDF(t);}
   COPY(x101,1);
   x105=_AAcAnaScheme_18(x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x101,x99,x102,x20,x21);r.c1=x105.c1;
   {OBJ t=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(x13,5))(x13,x101,x105.c2,x15,x18,x105.c3);
    x108=FLD1(t,1);
    r.c4=FLD1(t,2);
    DSPRDF(t);}
   r.c2=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(x8,4))(x8,x14,x108,x17,x18);
   r.c3=__ASeq_6;}
 }else{
  {OBJ x111=FLD1(x19,1);OBJ x112=FLD1(x19,2);FLAG x_x19=EXPRD(x19,1);
   if(x_x19){
   }else{
    CPPRD(x111,1);COPY(x112,1);}
   {OBJ x113;
    ANat_2(x15,x113);
    {OBJ x115=FLD1(x111,1);OBJ x116=FLD1(x111,2);OBJ x117=FLD1(x111,3);
     if(EXPRD(x111,1)){
      CPPRD(x115,1);COPY(x116,1);
      DSPRDF(x111);
     }else{
      CPPRD(x115,2);COPY(x116,2);CPPRD(x117,1);
      FRPRD(x111,1);}
     CPCLS(x1,1);
     CPCLS(x2,1);
     CPCLS(x3,1);
     CPCLS(x4,1);
     CPCLS(x5,1);
     CPCLS(x6,1);
     CPCLS(x7,1);
     CPCLS(x8,1);
     CPCLS(x9,1);
     CPCLS(x10,2);
     CPCLS(x11,2);
     CPCLS(x12,1);
     CPCLS(x13,1);
     COPY(x14,1);
     CPPRD(x18,2);
     COPY(x21,1);
     {OBJ x119;OBJ x120;TUP4 x122;TUP3 x128;OBJ x132;
      {OBJ t=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(x10,6))(x10,x14,x16,x15,x18,x115,x116);
       x119=FLD1(t,1);
       x120=FLD1(t,2);
       DSPRDF(t);}
      COPY(x119,1);
      x122=_AAcAnaScheme_20(x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x113,x120,x17,x18,x112,x20,x21);r.c4=x122.c4;
      x128=_AAcAnaScheme_18(x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x119,x122.c1,x122.c2,x117,x21);r.c1=x128.c1;
      {OBJ t=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(x11,7))(x11,x119,x128.c2,x15,x18,x115,x116,x128.c3);
       r.c2=FLD1(t,1);
       x132=FLD1(t,2);
       DSPRDF(t);}
      if(x_x19){
       RSOME(x19,r.c3);FLD1(r.c3,1)=x132;FLD1(r.c3,2)=x122.c3;
      }else{
       FRPRD(x19,1);PRD1(2,r.c3);FLD1(r.c3,1)=x132;FLD1(r.c3,2)=x122.c3;}}}}}}
 return r;}
extern OBJ _AAcAnaScheme_20_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7,OBJ x8,OBJ x9,OBJ x10,OBJ x11,OBJ x12,OBJ x13,OBJ x14,OBJ x15,OBJ x16,OBJ x17,OBJ x18,OBJ x19,OBJ x20,OBJ x21) /* df,2 */
{OBJ r;
 {TUP4 t=_AAcAnaScheme_20(x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19,x20,x21);
  PRD1(4,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;
  FLD1(r,3)=t.c3;
  FLD1(r,4)=t.c4;}
 return r;}

static OBJ _mt_17_0_13(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9,OBJ t10,OBJ t11,OBJ t12,OBJ t13) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,13);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 FLDCLS(r,5)=t5;
 FLDCLS(r,6)=t6;
 FLDCLS(r,7)=t7;
 FLDCLS(r,8)=t8;
 FLDCLS(r,9)=t9;
 FLDCLS(r,10)=t10;
 FLDCLS(r,11)=t11;
 FLDCLS(r,12)=t12;
 FLDCLS(r,13)=t13;
 return r;}

static OBJ _mt_17_0_17(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9,OBJ t10,OBJ t11,OBJ t12,OBJ t13,OBJ t14,OBJ t15,OBJ t16,OBJ t17) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(t1,t2,t3,t4,t5,t6,t7,t8,t9,t10,t11,t12,t13,t14,t15,t16,t17);
 return r;}

static OBJ _mt_17_13_4(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  COPY(FLDCLS(t,5),1);
  COPY(FLDCLS(t,6),1);
  COPY(FLDCLS(t,7),1);
  COPY(FLDCLS(t,8),1);
  COPY(FLDCLS(t,9),1);
  COPY(FLDCLS(t,10),1);
  COPY(FLDCLS(t,11),1);
  COPY(FLDCLS(t,12),1);
  COPY(FLDCLS(t,13),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),FLDCLS(t,6),FLDCLS(t,7),FLDCLS(t,8),FLDCLS(t,9),FLDCLS(t,10),FLDCLS(t,11),FLDCLS(t,12),FLDCLS(t,13),t1,t2,t3,t4);
 return r;}

static OBJ _mt_18_0_13(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9,OBJ t10,OBJ t11,OBJ t12,OBJ t13) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,13);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 FLDCLS(r,5)=t5;
 FLDCLS(r,6)=t6;
 FLDCLS(r,7)=t7;
 FLDCLS(r,8)=t8;
 FLDCLS(r,9)=t9;
 FLDCLS(r,10)=t10;
 FLDCLS(r,11)=t11;
 FLDCLS(r,12)=t12;
 FLDCLS(r,13)=t13;
 return r;}

static OBJ _mt_18_0_18(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9,OBJ t10,OBJ t11,OBJ t12,OBJ t13,OBJ t14,OBJ t15,OBJ t16,OBJ t17,OBJ t18) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(t1,t2,t3,t4,t5,t6,t7,t8,t9,t10,t11,t12,t13,t14,t15,t16,t17,t18);
 return r;}

static OBJ _mt_18_13_5(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  COPY(FLDCLS(t,5),1);
  COPY(FLDCLS(t,6),1);
  COPY(FLDCLS(t,7),1);
  COPY(FLDCLS(t,8),1);
  COPY(FLDCLS(t,9),1);
  COPY(FLDCLS(t,10),1);
  COPY(FLDCLS(t,11),1);
  COPY(FLDCLS(t,12),1);
  COPY(FLDCLS(t,13),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),FLDCLS(t,6),FLDCLS(t,7),FLDCLS(t,8),FLDCLS(t,9),FLDCLS(t,10),FLDCLS(t,11),FLDCLS(t,12),FLDCLS(t,13),t1,t2,t3,t4,t5);
 return r;}

static OBJ _mt_20_0_13(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9,OBJ t10,OBJ t11,OBJ t12,OBJ t13) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,13);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 FLDCLS(r,5)=t5;
 FLDCLS(r,6)=t6;
 FLDCLS(r,7)=t7;
 FLDCLS(r,8)=t8;
 FLDCLS(r,9)=t9;
 FLDCLS(r,10)=t10;
 FLDCLS(r,11)=t11;
 FLDCLS(r,12)=t12;
 FLDCLS(r,13)=t13;
 return r;}

static OBJ _mt_20_0_20(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9,OBJ t10,OBJ t11,OBJ t12,OBJ t13,OBJ t14,OBJ t15,OBJ t16,OBJ t17,OBJ t18,OBJ t19,OBJ t20) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(t1,t2,t3,t4,t5,t6,t7,t8,t9,t10,t11,t12,t13,t14,t15,t16,t17,t18,t19,t20);
 return r;}

static OBJ _mt_20_13_7(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  COPY(FLDCLS(t,5),1);
  COPY(FLDCLS(t,6),1);
  COPY(FLDCLS(t,7),1);
  COPY(FLDCLS(t,8),1);
  COPY(FLDCLS(t,9),1);
  COPY(FLDCLS(t,10),1);
  COPY(FLDCLS(t,11),1);
  COPY(FLDCLS(t,12),1);
  COPY(FLDCLS(t,13),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),FLDCLS(t,6),FLDCLS(t,7),FLDCLS(t,8),FLDCLS(t,9),FLDCLS(t,10),FLDCLS(t,11),FLDCLS(t,12),FLDCLS(t,13),t1,t2,t3,t4,t5,t6,t7);
 return r;}

static OBJ _mt_21_0_13(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9,OBJ t10,OBJ t11,OBJ t12,OBJ t13) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,13);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 FLDCLS(r,5)=t5;
 FLDCLS(r,6)=t6;
 FLDCLS(r,7)=t7;
 FLDCLS(r,8)=t8;
 FLDCLS(r,9)=t9;
 FLDCLS(r,10)=t10;
 FLDCLS(r,11)=t11;
 FLDCLS(r,12)=t12;
 FLDCLS(r,13)=t13;
 return r;}

static OBJ _mt_21_0_21(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9,OBJ t10,OBJ t11,OBJ t12,OBJ t13,OBJ t14,OBJ t15,OBJ t16,OBJ t17,OBJ t18,OBJ t19,OBJ t20,OBJ t21) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(t1,t2,t3,t4,t5,t6,t7,t8,t9,t10,t11,t12,t13,t14,t15,t16,t17,t18,t19,t20,t21);
 return r;}

static OBJ _mt_21_13_8(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  COPY(FLDCLS(t,5),1);
  COPY(FLDCLS(t,6),1);
  COPY(FLDCLS(t,7),1);
  COPY(FLDCLS(t,8),1);
  COPY(FLDCLS(t,9),1);
  COPY(FLDCLS(t,10),1);
  COPY(FLDCLS(t,11),1);
  COPY(FLDCLS(t,12),1);
  COPY(FLDCLS(t,13),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),FLDCLS(t,6),FLDCLS(t,7),FLDCLS(t,8),FLDCLS(t,9),FLDCLS(t,10),FLDCLS(t,11),FLDCLS(t,12),FLDCLS(t,13),t1,t2,t3,t4,t5,t6,t7,t8);
 return r;}

init_AAcAnaScheme()
{
 static int visited=0; if(visited) return; visited=1;
 init_ATree();
 init_AIde();
 init_AAn();
 init_AAc();
 init_ASeq();
 init_ANat();
 init_AOption();
 init_ANatMap();
 init_ATypeAn();
 init_ASourceAn();
 init_AOptimAn();
 init_ATransAn();
 init_APragmaAn();
 init_AStore();
 init_AFormat();
 init_AString();
 init_ACom();
 init_AStream();
 init_AVoid();
 init_AFmt();
 init_AChar();
 init_AFile();
 init_AInt();
 init_ASet();
 init_APair();
 init_AIdeMap();
 init_AArray();
 init_AMap();
 init_ASetByBST();
 init_ABSTree();
 CLS(21,_AAcAnaScheme_20_c,__AAcAnaScheme_20);
 CLS(20,_AAcAnaScheme_19_c,__AAcAnaScheme_19);
 CLS(18,_AAcAnaScheme_18_c,__AAcAnaScheme_18);
 CLS(17,_AAcAnaScheme_17_c,__AAcAnaScheme_17);
 MTH(17,0,13,_mt_17_0_13);LZYMTH(17,0,13,_mt_17_0_13);
 MTH(17,0,17,_mt_17_0_17);LZYMTH(17,0,17,_mt_17_0_17);
 MTH(17,13,4,_mt_17_13_4);LZYMTH(17,13,4,_mt_17_13_4);
 MTH(18,0,13,_mt_18_0_13);LZYMTH(18,0,13,_mt_18_0_13);
 MTH(18,0,18,_mt_18_0_18);LZYMTH(18,0,18,_mt_18_0_18);
 MTH(18,13,5,_mt_18_13_5);LZYMTH(18,13,5,_mt_18_13_5);
 MTH(20,0,13,_mt_20_0_13);LZYMTH(20,0,13,_mt_20_0_13);
 MTH(20,0,20,_mt_20_0_20);LZYMTH(20,0,20,_mt_20_0_20);
 MTH(20,13,7,_mt_20_13_7);LZYMTH(20,13,7,_mt_20_13_7);
 MTH(21,0,13,_mt_21_0_13);LZYMTH(21,0,13,_mt_21_0_13);
 MTH(21,0,21,_mt_21_0_21);LZYMTH(21,0,21,_mt_21_0_21);
 MTH(21,13,8,_mt_21_13_8);LZYMTH(21,13,8,_mt_21_13_8);}

